Forum des utilisateurs NuTyX

INSTALLATION => Un paquet => Discussion démarrée par: jps le lun. juil. 29 07:16:16 2019

Titre: Downgrade
Posté par: jps le lun. juil. 29 07:16:16 2019
Hello peut on bloquer la mise a jour d'un paquet et si oui comment, par exemple comme sur Archlinux avec le paquet downgrade qui permet de choisir la version d'un paquet et de le bloquer dans cette version ?
Peut-etre que le paquet downgrade pourrait fonctionner également sur NuTyX ?
Dans ce cas serait ce possible de l'avoir ?
Titre: Re : Downgrade
Posté par: ouaille_aime_scier le mar. juil. 30 14:10:37 2019
tu veux bloquer la mise à jour du kernel en 5.2 ? :-)
Titre: Re : Downgrade
Posté par: jps le mar. juil. 30 19:06:27 2019
J'ai des vieux pc et sur archlinux je bloque la maj du Lts, pour l'instant je suis sur le 4.19.50 mais l'avantage de downgrade c'est que l'on peut choisir la version que l'on veut de chaque logiciel.
Titre: Re : Re : Downgrade
Posté par: Thierry le ven. août 02 19:41:38 2019
J'ai des vieux pc et sur archlinux je bloque la maj du Lts, pour l'instant je suis sur le 4.19.50 mais l'avantage de downgrade c'est que l'on peut choisir la version que l'on veut de chaque logiciel.

Normalement tu ne peux choisir la version d'un paquet (ou logiciel) seulement si celui-ci n'est pas une dépendance (et le plus souvent une librairie). En effet, comme la majorité des paquets sous linux dependent de l'un ou de l'autre, il ne faut pas imaginer de bloquer une dépendance sur une version donnée, c'est rendre son système inutilisable.

Cela étant dit, les seuls cas de figure où cela est possible, c'est lorqu'il s'agit d'un paquet final qui  n'ai demandé par aucun autre paquet ou du kernel (et kernel-lts) également  réclamé par aucun autre paquet.
Titre: Re : Downgrade
Posté par: jps le ven. août 02 21:10:44 2019
Sur Archlinux je fais les majs avec l'exception du noyau et depuis le 4.19.50 je n'ai pas de problèmes pour l'instant. Sur certaines distributions comme Pclinuxos tu garde le noyau de l'installation primaire alors que c'est une rolling release et ça passe sans souçis. La distribution ne change pas de noyau ça se passe en manuel.
Titre: Re : Re : Downgrade
Posté par: Thierry le sam. août 03 10:18:34 2019
Sur Archlinux je fais les majs avec l'exception du noyau et depuis le 4.19.50 je n'ai pas de problèmes pour l'instant. ...

On est bien d'accord. Maintenant tu dois avoir une bonne raison de ne pas mettre à jour le kernel-lts qui est la cible principale des hackers (d'où ses mise à jour aussi fréquentes)


Si vraiment c'est ce que tu veux, tu peux rendre le kernel-lts "invisible" pour cards en supprimant ses informations META:

sudo rm -r /var/lib/pkg/DB/kernel-lts
Le paquet n'apparaîtra plus dans ta liste de paquets installés et ne sera plus jamais mis à jour.

Quand tu décides de le mettre à jour tu n'aura qu'à faire:

get -f kernel-lts
et la commande ci-dessus pour à nouveau "l'oublier"

Il faut juste jeter un oeil de temps en temps sur le dossier /lib/modules. Tous les kernels que tu aura "oublier" seront toujours présents. Risque de changement rapide d'espace disponible:

duh /lib/modules
[68M     /lib/modules/5.2.4-NuTyX
67M     /lib/modules/4.19.62-NuTyX-lts
68M     /lib/modules/5.2.5-NuTyX
202M    /lib/modules/
Titre: Re : Downgrade
Posté par: jps le sam. août 03 16:06:49 2019
Ok je laisse tomber ça sert a rien, j'avais juste peur que des pc anciens ne reconnaissent plus les noyaux recents. je reviens sur les Lts normaux meme sur Arch, en tout cas tu es rapide tu as toujours un noyau d'avance sur Archlinux 4.19.61 chez arch et 62 sur NuTyX depuis plusieurs jours !
Titre: Re : Downgrade
Posté par: Thierry le sam. août 03 16:16:54 2019
64 sur NuTyX  ;) (https://nutyx.org/fr/?type=pkg&branch=rolling&arch=x86_64&searchpkg=kernel-lts)